# 获取验证者

### HTTP 请求

使用 `POST` 请求到端点。

```HTTP
POST /api/v1/validator/details
```

### 路径参数：无参数

### 请求参数

#### 请求：

* 使用 `POST` 请求到 `/api/v1/validator/details` 端点。
* You can optionally provide: 您可以选择提供：
  * **pubkeys (数组**）：要查询的特定验证器密钥列表（如果为空，则包括所有验证器）。
  * **withdrawal\_address:** 按提款地址过滤验证器。
  * **分页详细信息（页面和限制）**：控制每页显示的结果数。

<table data-header-hidden><thead><tr><th width="205"></th><th></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Parameter name</strong></td><td><strong>Data type</strong></td><td><strong>Whether it must be passed.</strong></td><td><strong>Description</strong></td></tr><tr><td>pubkeys</td><td>array</td><td>false</td><td>Verifier list</td></tr><tr><td>withdrawal_address</td><td>string</td><td>false</td><td>Withdrawal address</td></tr><tr><td>page</td><td>int</td><td>false</td><td>Page number (default is 1)</td></tr><tr><td>limit</td><td>int</td><td>false</td><td>Number of entries per page (default is 10, maximum support is 1000)</td></tr></tbody></table>

### **Response** 响应

| 参数名称                      | 数据类型    | 描述                                                        |
| ------------------------- | ------- | --------------------------------------------------------- |
| network                   | string  | 网络                                                        |
| pubkey                    | string  | 公钥                                                        |
| withdrawal\_address       | string  | 共识层提现地址                                                   |
| withdrawal\_credentials   | string  | 共识层提现券                                                    |
| fee\_recipient\_address   | string  | 执行层奖励接收地址                                                 |
| deposit\_from\_address    | string  | 来自地址的存款                                                   |
| status                    | string  | 验证者状态：<https://hackmd.io/@protolambda/validator\\_status> |
| slashed                   | boolean | 价值被削减                                                     |
| activation\_epoch         | string  | <p><br></p>                                               |
| exit\_epoch               | string  | <p><br></p>                                               |
| withdrawable\_epoch       | string  | <p><br></p>                                               |
| estimated\_active\_at     | string  | 预计激活时间                                                    |
| estimated\_exit\_at       | string  | 预计退出时间                                                    |
| estimated\_withdrawal\_at | string  | 预计提款时间                                                    |
| is\_need\_exit            | boolean | 是否启动退出                                                    |
| is\_post\_exit            | boolean | 退出请求是否广播到链上                                               |

\
例子

```JSON
{
    "code": "200",
    "msg": "Success",
    "pagination": {
       "page": 1,
       "limit": 10,
       "total": 2
    },
    "data": [
        {
            "network": "holesky",
            "pubkey": "0xd1ef8d468ef53d82368d2026e321ab2c6d44f44c33b7b9f22369bf6dcf37fb0208f82dd6b485325ce1bbf5aec7ad45bb",
            "withdrawal_address": "0xE40F80618324C814cD444434670a44ba4583aE38",
            "withdrawal_credentials": "0x010000000000000000000000fc438e6cc4b230eb5bfaae1337c3f5da2b9140f1",
            "fee_recipient_address": "0x781462762B706AA7c1DA71FBA1a545724928b81f",
            "deposit_from_address": "0xE40F80618324C814cD444434670a44ba4583aE38",
            "status": "active_ongoing",
            "slashed": false,
            "activation_epoch": "0",
            "exit_epoch": "18446744073709551615",
            "withdrawable_epoch": "18446744073709551615",
            "status_estimates": {
                "estimated_active_at": "2023-07-01T00:00:00.000Z",
                "estimated_exit_at": "2023-07-01T00:00:00.000Z",
                "estimated_withdrawal_at": "2023-07-01T00:00:00.000Z"
            },
            "is_need_exit": false,
            "is_post_exit": false
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainupcloud.com/zhong-wen/chainupcloud-kai-fang-api/eth-zhi-ya-api/huo-qu-yan-zheng-zhe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
